/****************************************************************************/
/****************************************************************************/
import { SpoolFile } from './SpoolFile';
/**
 * Job information.
 */
export interface Job {
    /**
     * Job name
     */
    jobName: string;
    /**
     * Job ID
     */
    jobId: string;
    /**
     * Job owner
     */
    owner: string;
    /**
     * Job status
     */
    status: string;
    /**
     * Job class
     */
    class: string;
    /**
     * Extra information
     */
    extra?: string;
}
/**
 * Job status including rc, spool files, etc.
 */
export interface JobStatus extends Job {
    /**
     * Job RC value, indicating job finished with numberic value or failed with error string.
     */
    rc?: string | number;
    /**
     * Job RC value, to support zftp plugin with consistent return code format with z/OSMF.
     */
    retcode?: string;
    /**
     * Spool files.
     */
    spoolFiles?: SpoolFile[];
}
