/****************************************************************************/
/****************************************************************************/
/**
 * Job query option.
 */
export interface JobIdOption {
    /**
     * Job ID, which is required
     */
    jobId: string;
    /**
     * Job owner, which is optional. **Default**: The current user
     */
    owner?: string;
}
/**
 * Job log query option.
 */
export interface JobLogOption extends JobIdOption {
    /**
     * Spool file index (1, 2, 3...), or -1, which returns all spool files separated
     * by `!! END OF JES SPOOL FILE !!`. **Default**: -1
     */
    fileId?: number;
}
