/****************************************************************************/
/****************************************************************************/
/**
 * Job list option. All members are optional. The different job query function depends on different memebers,
 * and will check their existance.
 */
export interface JobListOption {
    /**
     * Job name, which is optional and can contain a wildcard (*). **Default**: '*'
     */
    jobName?: string;
    /**
     * Job ID, which is optional
     */
    jobId?: string;
    /**
     * Job owner, which is optional and can contain a wildcard (*). **Default**: The current user
     */
    owner?: string;
    /**
     * Job status, eg. ALL, OUTPUT, which is optional. **Default**: 'ALL'
     */
    status?: string;
}
