/****************************************************************************/
/****************************************************************************/
import { Entry } from './Entry';
/**
 * USS file or directory entry.
 */
export interface USSEntry extends Entry {
    /**
     * File or directory name
     */
    name: string;
    /**
     * Group
     */
    group: string;
    /**
     * File type
     */
    fileType: FileType;
    /**
     * The target file if this entry is the link
     */
    linkTo?: string;
    /**
     * Last modified date
     */
    lastModified: Date;
    /**
     * Owner
     */
    owner: string;
    /**
     * Permission string
     */
    permissions: string;
    /**
     * File size
     */
    size: number;
}
export declare enum FileType {
    /**
     * Directory
     */
    DIRECTORY = 0,
    /**
     * File
     */
    FILE = 1,
    /**
     * Symbol link
     */
    LINK = 2
}
