"use strict";
/****************************************************************************/
/*                                                                          */
/* Copyright (c) 2017,2020 IBM Corp.                                        */
/* All rights reserved. This program and the accompanying materials         */
/* are made available under the terms of the Eclipse Public License v1.0    */
/* which accompanies this distribution, and is available at                 */
/* http://www.eclipse.org/legal/epl-v10.html                                */
/*                                                                          */
/* Contributors:                                                            */
/*  IBM Corp. - initial API and implementation                              */
/*                                                                          */
/****************************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
var Utils = /** @class */ (function () {
    function Utils() {
    }
    Utils.isFullQualifiedDSN = function (dsn) {
        return dsn[0] === '\'' && dsn[dsn.length - 1] === '\'';
    };
    Utils.stripQuotes = function (dsn) {
        if (Utils.isFullQualifiedDSN(dsn)) {
            return dsn.substring(1, dsn.length - 1);
        }
        return dsn;
    };
    Utils.ensureFullQualifiedDSN = function (dsn) {
        if (dsn.indexOf('/') !== 0 && !Utils.isFullQualifiedDSN(dsn)) {
            dsn = '\'' + dsn + '\'';
        }
        return dsn;
    };
    Utils.removeQuote = function (dsn) {
        var removed = dsn;
        if (removed.charAt(0) === '\'') {
            removed = removed.substring(1);
        }
        if (removed.charAt(removed.length - 1) === '\'') {
            removed = removed.substring(0, removed.length - 1);
        }
        return removed;
    };
    return Utils;
}());
exports.Utils = Utils;
